## harden 0.1.4

=== howto-source/Makefile ===
#
# Makefile for the Securing Debian HOWTO (copied from Makefile.intln)
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for maint-guide package build.

##### CONF PART 
# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/manuals.html

# Darn, I should have named dir and file the same way
#MANUAL = $(notdir $(shell pwd))
MANUAL = securing-debian-howto

# The cannonical language, in which the original document is
ORIG_LANG=en
# list of langs (above the canonical one)
# LANGS=$(shell ls $(MANUAL).*.sgml|sed 's/.*$(MANUAL)\.\([^.]*\)\.sgml/\1/')
#
# Since portuguese is not yet in debiandoc format we cannot publish it until it is
#
LANGS = es ru

EXTS=txt info ps pdf ps pdf ps pdf
##### END OF CONF PART CHANGE THE END AT YOU OWN RISK

# what will be built
HTMLDIRS=$(MANUAL).html $(foreach lang,$(LANGS),$(MANUAL).$(lang).html)
ALLFILES=$(foreach ext,$(EXTS),\
	    $(MANUAL).$(ORIG_LANG).$(ext)\
	    $(foreach lang,$(LANGS),$(MANUAL).$(lang).$(ext))\
	  )


#====[ build rules ]===========================================================
# generate anything some dirs want version.ent to be builded, some not

DEBIAN=$(wildcard debian)
ifeq ($(DEBIAN),"debian")
all: version.ent $(HTMLDIRS) $(ALLFILES)
else
all: $(HTMLDIRS) $(ALLFILES)
endif

version.ent: debian/changelog
	./debian/rules $@

#----[ generating HTML ]-------------------------------------------------------
# for orig_lang
$(MANUAL).html: $(MANUAL).sgml
	debiandoc2html -l $(ORIG_LANG) -c $<

# for translated languages
# FIXME: there is a trick because debiandoc2html does a sed 'y/.../...' 
#        which should be reverted to have the content negociation working.
#   This trick is bad. debiandoc2html should be corrected.
$(MANUAL).%.html: $(MANUAL).%.sgml
	debiandoc2html -l $* -c $<
	@echo "cleaning up file extensions";\
	for file in `ls $(MANUAL).$*.html/*` ; do\
	 newfile=`echo $$file|\
	          sed 's/$(shell echo $*|\
	      sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
	                  )\.html/$*\.html/'`;\
	 if [ $$file != $$newfile ] ; then\
	   mv $$file $$newfile;\
	 fi\
	done;   


#----[ generating plain text ]-------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).txt: $(MANUAL).sgml
	debiandoc2text -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

#----[ generating tov ]--------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).tov: $(MANUAL).sgml
	debiandoc2textov -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.tov: $(MANUAL).%.sgml
	debiandoc2textov -l $* $<

#----[ generating info ]-------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).info: $(MANUAL).sgml
	debiandoc2info -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.info: $(MANUAL).%.sgml
	debiandoc2info -l $* $<

#----[ generating PostScript ]-------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).ps: $(MANUAL).sgml
	debiandoc2latexps -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

#----[ generating PDF ]--------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).pdf: $(MANUAL).sgml
	debiandoc2latexpdf -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

#====[ publishing to the DDP web pages ]=======================================
publish: publish-html publish-files

#----[ publish html ]----------------------------------------------------------
publish-html: $(HTMLDIRS)
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	 # install any translated html
	$(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).html/*.html $(PUBLISHDIR)/$(MANUAL)/;)
	 # install original html
	 install -p -m 644 $(MANUAL).html/*.html \
	                   $(PUBLISHDIR)/$(MANUAL)/
	 # make the symlinks for html files
	 @$(foreach file,$(wildcard  $(MANUAL).html/*.html),\
	  name=`echo $(file) | sed 's/$(MANUAL).html\///'`; \
	  link=`echo $$name|sed 's/.$(ORIG_LANG).html$$/.html/'`;\
	  echo "$$link -> $$name";\
	  ln -sf $$name\
	        $(PUBLISHDIR)/$(MANUAL)/$$link;\
	 )

#----[ publish the files ]-----------------------------------------------------
publish-files: $(ALLFILES)
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	$(foreach ext,$(EXTS),\
	 rm -f $(PUBLISHDIR)/$(MANUAL)/*.$(ext);\
	 \
	 $(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).$(ext)\
	                    $(PUBLISHDIR)/$(MANUAL)/;)\
	 \
	 install -p -m 644 $(MANUAL).$(ORIG_LANG).$(ext)\
	                   $(PUBLISHDIR)/$(MANUAL)/;\
	 \
	 ln -sf $(MANUAL).$(ORIG_LANG).$(ext)\
               $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).$(ext);\
	)


#----[ publish the ps ]--------------------------------------------------------
publish-ps: ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	 # install any translated ps
	$(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).ps \
	                    $(PUBLISHDIR)/$(MANUAL)/ ;)
	 # install original ps
	 install -p -m 644 $(MANUAL).$(ORIG_LANG).ps\
	                   $(PUBLISHDIR)/$(MANUAL)/
	 # make the symlinks for ps
	 ln -sf $(MANUAL).$(ORIG_LANG).ps\
               $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps


#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

#====[ cleaning up ]===========================================================
clean distclean:
	rm -f securing-debian-howto*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
	rm -rf securing-debian-howto*.html

.PHONY: all html txt ps\
	publish publish-html publish-txt publish-ps\
	clean distclean validate

=== debian/changelog ===
harden (0.1.4) unstable; urgency=critical

  * Updated flaw conflicts from woody security roundup.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 27 Apr 2002 23:48:36 +0200

harden (0.1.3) unstable; urgency=medium

  * Updated because of new dsa information.

 -- Ola Lundqvist <opal@debian.org>  Wed, 17 Apr 2002 18:35:24 +0200

harden (0.1.2) unstable; urgency=low

  * Fixed conflict on phpgroupware, closes: #143057.
  * Added some new dsa from security.debian.org.
  * Conflicts with pidentd, closes: #143116.

 -- Ola Lundqvist <opal@debian.org>  Tue, 16 Apr 2002 23:12:41 +0200

harden (0.1.1) unstable; urgency=low

  * Fixed spelling error, closes: #141717.

 -- Ola Lundqvist <opal@debian.org>  Mon,  8 Apr 2002 20:51:11 +0200

harden (0.1.0) unstable; urgency=low

  * Updated security manual from cvs, closes: #141339.
  * Fixed build dependency, closes: #141263.
  * Fixed preconfigure problem, closes: #141285.
  * Added conflict with mtr, closes: #140146.
  * Conflict with buggy webmin, closes: #140370.
  * Fixed fetchmail problem by adding debconf question instead, closes:
    #94472.
  * Decided that the debconf questions is good enough for a new
    middle revision.

 -- Ola Lundqvist <opal@debian.org>  Fri,  5 Apr 2002 21:09:37 +0200

harden (0.0.15) unstable; urgency=low

  * Created a harden development package, closes: #113963.
  * No longer conflict with xvncviewer because it can be used in
    ssh-tunnel mode, closes: #136238.
  * Can not see any problems with the .dhelp file. Must be a old
    error, closes: #138636.
  * Started to use debconf to guide the installation, closes: #111322.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Mar 2002 19:44:39 +0100

harden (0.0.14) unstable; urgency=low

  * Fixed dob-base problem in a better way.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Mar 2002 16:48:56 +0100

harden (0.0.13) unstable; urgency=low

  * Updated howto.
  * Fix build dependency, closes: #133160.
  * Fixed postinst problem, closes: #130674.
  * Updated the documentation description, on what to read, closes:
    #133981.
  * Fixed long description line in harden-tools, closes: #130991.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Feb 2002 11:43:05 +0100

harden (0.0.12) unstable; urgency=low

  * Fixed info file issues, closes: #127045, #127437.
  * Updated the harden howto, removing japan translation becuase
    of build errors.

 -- Ola Lundqvist <opal@debian.org>  Sat, 19 Jan 2002 12:20:11 +0100

harden (0.0.11) unstable; urgency=low

  * Fixed critical issue with net build assumption.
  * Fixed caffeine underrun problem in harden-doc. Doc-base, closes:
    #124259.
  * Changed priority, closes: #124131.
  * Fixed spelling error in harden-tools, closes: #124728.
  * Fixed spelling error in harden-servers, closes: #124727.
  * Fixed spelling error in harden-remoteflaws, closes: #124726.
  * Fixed spelling error in harden-environment, closes: #124723.
  * Fixed spelling error in harden-localflaws, closes: #124724.
  * Fixed spelling error in harden-doc, closes: #124722.
  * Fixed spelling error in harden-clients, closes: #124721.
  * Fixed spelling error in harden, closes: #124720.
  * Fixed spelling error in harden-remoteaudit: #124725.
  * Added some more suggestions to remoteaudit.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Dec 2001 16:34:23 +0100

harden (0.0.10) unstable; urgency=low

  * Fix info problem in harden-doc, closes: #124145.

 -- Ola Lundqvist <opal@debian.org>  Sun, 16 Dec 2001 16:10:13 +0100

harden (0.0.9) unstable; urgency=low

  * Fixed document download, closes: #114777, #111723, #111722.
  * Only suggest non-free package lasg, closes: #123085.
  * Copyright fixed, closes: #111725.
  * Fixed override, closes: #122861.
  * Spellfix upstream, closes: #111104.

 -- Ola Lundqvist <opal@debian.org>  Sat, 15 Dec 2001 13:18:37 +0100

harden (0.0.8) unstable; urgency=low

  * Move conflict of lynx to harden-localflaws, closes: #118976.
  * Close bug from 0.0.7, closes: #111728.
  * Fixed build depends to indep.

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 Nov 2001 22:54:47 +0100

harden (0.0.7) unstable; urgency=low

  * Lowering the priority of bastille. Not good enough to be depended.
    Now just suggested.
  * Lowering the priority of tiger. Now suggested. It may be higher in
    the future.
  * Changed the priority to extra.
  * Fixed harden-doc description, closes: #111728.
  * Harden-clients now conflicts with lynx.

 -- Ola Lundqvist <opal@debian.org>  Thu, 27 Sep 2001 10:29:13 +0200

harden (0.0.6) unstable; urgency=low

  * Renamed to harden.
  * Fixed missing docs, closes: #105330.
  * Fixed unnecessary dirs, closes: #109995.
  * Fixed incorrect description of the client package,
    closes: #111390, #111729.
  * Added integrit and samhain as an alternative to tripwire,
    closes: #111724, #111529.
  * Added tiger and bastille, closes: #111726.
  * Created remoteaudit package and fixed apropriate things,
    closes: #111730, #111878.
  * Added lskb | lasg to harden-doc dependency, closes: #111876.
  * Fixed typo in harden-environment, closes: #111731.

 -- Ola Lundqvist <opal@debian.org>  Mon, 17 Sep 2001 22:54:53 +0200

task-harden (0.0.5) unstable; urgency=low

  * Added lids packages.
  * Added some ftp servers that should be avoided.
  * Removed nfs-common. Nfs is not insecure on the client side.
  * Added bwnfsd on the conflicts line instead.
  * Changed to the proper name for build depends on mirrortool -> omt.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jul 2001 23:10:27 +0200

task-harden (0.0.4) unstable; urgency=low

  * Fixed c&p error in description, closes: #94588.
  * Fixed fingerd conflict error in harden-servers, closes: #94591.
  * Added some more things to conflict.

 -- Ola Lundqvist <opal@debian.org>  Fri,  20 Apr 2001 11:56:55 +0200

task-harden (0.0.3) unstable; urgency=low

  * Splitted the package in several subpackages.
  * No longer conflicts with ftp-server, closes: #93512.



=== debian/control ===
Source: harden
Section: admin
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin
Standards-Version: 3.5.2

Package: harden
Architecture: all
Depends: harden-environment, harden-servers, harden-remoteflaws, harden-localflaws, ${misc:Depends}
Recommends: harden-tools
Suggests: sudo, harden-clients, harden-nids, harden-remoteautdit, harden-surveillance
Description: Makes your system hardened.
 This package is intended to help the administrator to improve
 the security of the system, or at least make the host less susceptible.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package. You are recommended to read at
 least some documents in addition to installing this package. The documents
 can be found in the harden-doc package. This is of course just a start
 because there are LOT of information on how to make your system more secure.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-servers
Architecture: all
Depends: ${misc:Depends}
Conflicts: ${harden:Conflicts}
Description: Avoid servers that are known to be insecure.
 This package is intended to give the administrator a easy option to avoid
 servers that in some sense are insecure. It can be a servers that needs
 passwords in plaintext, packages that can give someone access to the local
 host without permission, or packages that gives system information to remote
 users.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-clients
Architecture: all
Depends: ${misc:Depends}
Conflicts: ${harden:Conflicts}
Suggests: ssh
Description: Avoid clients that are known to be insecure.
 Harden-clients is intended to give the administrator a easy option to avoid
 clients that in some sense are insecure. It can be a client that needs to send
 passwords in plaintext, or packages that can give someone access to the local
 host without permission.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-doc
Architecture: all
Recommends: lskb
Suggests: lasg
Description: Useful documentation to secure a Debian system.
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure. 
 .
 The Securing Debian Manual
 from the Debian Documentation Project available at
 http://www.debian.org/doc/manuals/securing-debian-howto/
 is included with this package.

Package: harden-surveillance
Architecture: all
Depends: netsaint
Description: Check services and/or servers automaticly.
 This package help you to install tools for active network surveillance.
 Surveillance is the process of constant monitoring of networks and
 services to check that they work as expected.

Package: harden-development
Architecture: all
Recommends: rats
Description: Development tools for creating more secure programs.
 This package help you to install tools that can be useful in order
 to create better programs in the context of security.
 .
 Such tools need knowledge from the program author so it will not
 automaticly make your programs better.

Package: harden-tools
Architecture: all
Suggests: john, gnupg, bastille, tiger
Description: Tools to enhance or analyze the security of the local system.
 Harden-tools helps you to install tools that the administrator can
 use to enhance the security of the local system in some way.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-environment
Architecture: all
Depends: debsums | samhain | integrit | tripwire | aide | ids, sash | osh
Recommends: logcheck
Suggests: harden-nids, sudo, debsums, samhain, integrit, tripwire, aide, ids, sash, osh
Description: Hardened system environment.
 Harden-environment provides a hardened system environment, or at least
 helps the administrator to configure such an environment.
 .
 Right now this include packages for local intrusion detection.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-nids
Architecture: all
Depends: snort | ntop
Recommends: logcheck
Description: Harden a system by using a network intrusion detection system.
 This package help you to install a network intrusion detection system.
 Network intrusion detection systems is a tool that analyze network
 packets and log anomalies or known crack attempts.
 .
 NOTE! Network intrusion detection systems do not find all attempts to
 crack your system. The can also be pretty hard to set up so please
 read more about this before you start the process.

Package: harden-remoteaudit
Architecture: all
Depends: nessusd
Suggests: nessus, satan, netsaint, dsniff, harden-nids, idswakeup, ettercap
Description: Audit your system from this host.
 This package helps you to install a set of tools to check remote systems,
 sniff for passwords and more. Observe that this kind of activity can be
 illegal so you have to check if you are authorized to do so in the environment
 where you install this package.
 .
 You can check exploits, sniff for passwords and similar things.
 .
 Nessus note: You have to have the nessus client installed on some host. The
 client is provided by the 'nessus' package. You can install it on the same
 host but that is not necessary.
 .
 NOTE! This package includes packages that can damage the system that
 you audit. It should NOT be used on any host, network or system that you are
 not responsible for. It can also damage the hosts that are checked.
 You have been warned!

Package: harden-remoteflaws
Architecture: all
Depends: ${misc:Depends}
Conflicts: ${harden:Conflicts}
Description: Avoid packages with security holes.
 Harden-remoteflaws is intended to help the administrator to avoid packages
 that are known to have security flaws that allows a remote user access to the
 system without permission. Normally an update manages this but sometime you
 just want to check for security changes and then this package can help.
 .
 If you want to avoid packages that local users can use to compromise the
 system you should look at the harden-localflaws instead.
 .
 If you want to avoid packages that can compromise computers on 3rd parties
 you should look at the harden-3rdflaws instead.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.

Package: harden-localflaws
Architecture: all
Depends: ${misc:Depends}
Conflicts: ${harden:Conflicts}
Description: Avoid packages with security holes.
 Harden-localflaws is intended to help the administrator to avoid packages that
 are known to give a local user a way to compromise the system. Normally an
 update manages this but sometime you just want to check for security changes
 and then this package can help.
 .
 If you want to avoid packages that remote users can use to compromise the
 system you should look at the harden-remoteflaws instead.
 .
 If you want to avoid packages that can compromise computers on 3rd parties
 you should look at the harden-3rdflaws instead.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.

Package: harden-3rdflaws
Architecture: all
Conflicts: ${harden:Conflicts}
Description: Avoid packages with security problems.
 Harden-3rdflaws is intended to help the administrator to avoid packages
 that are known to give 3rd parties (like connected web browsers or
 similar) problems in form of insecure code.
 .
 If you want to avoid packages that remote users can use to compromise the
 system you should look at the harden-remoteflaws instead.
 .
 If you want to avoid packages that local users can use to compromise the
 system you should look at the harden-localflaws instead.
 .
 NOTE! This package will not make the 3rd party host uncrackable, and it is
 not inteded to do so.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

export DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	(cd howto-source; make)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	-debian/clean
	-debian/checkout
	-rm -Rf tmp-info

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	(cd howto-source; make publish PUBLISHDIR=$(DESTDOC))
	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
	mkdir -p tmp-info
	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
	debian/fixinfo
	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html

	dpsch-cvsclean

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	debian/genconflicts
	dh_installdeb -i
	debian/genquestions
#	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

## harden 0.1.11

=== debian/changelog ===
harden (0.1.11) unstable; urgency=low

  * Removed the harden-doc part from the harden package.
  * Added lintian override file so that some warnings will disappear.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Jul 2003 19:41:28 +0200

harden (0.1.10) unstable; urgency=low

  * Updated securing debian howto from CVS.
  * Fixed missing info files, closes: #171541.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Jul 2003 10:41:03 +0200

harden (0.1.9) unstable; urgency=low

  * Split out harden-*flaws to its separate package.
  * Fixed descrioptions so that they do not contain a full stop.
  * Fixed other description issues.
  * Updated standards version to 3.5.8.
  * Updated securing debian howto from cvs.
  * Added depend on nagios, closes: #167624.
  * Fixed remoteaudit suggestion, closes: #175284.
  * Added suggestion of libsafe, closes: #144124.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Apr 2003 17:32:58 +0200

harden (0.1.8) unstable; urgency=low

  * Fixed doc-base problem, closes: #167361.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Nov 2002 15:03:55 +0100

harden (0.1.7) unstable; urgency=medium

  * Fixed doc-base problem, closes: #151883.
    Thanks to Adam Byrtek <alpha@debian.org> for the fix.
  * Updated with the latest cvs, closes: #159467.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Sep 2002 09:11:46 +0200

harden (0.1.6) unstable; urgency=medium

  * Updated with new security issues.

 -- Ola Lundqvist <opal@debian.org>  Thu, 29 Aug 2002 07:32:17 +0200

harden (0.1.5) unstable; urgency=low

  * Fixed build failure, closes: #146083. Thanks to:
    Junichi Uekawa <dancer@netfort.gr.jp>.
  * Licq is ok for unstable, closes: #144994.
  * Updated build structure.
  * Changed /etc/dpkg/dpkg.conf to /etc/dpkg/dpkg.cfg in howto,
    closes: #145002.

 -- Ola Lundqvist <opal@debian.org>  Tue,  7 May 2002 08:37:13 +0200

=== debian/control ===
Source: harden
Section: admin
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, perl, texinfo, tetex-bin, tetex-extra
Standards-Version: 3.5.8

Package: harden
Architecture: all
Depends: harden-environment, harden-servers, harden-remoteflaws, harden-localflaws, ${misc:Depends}
Recommends: harden-tools
Suggests: sudo, harden-clients, harden-nids, harden-remoteaudit, harden-surveillance
Description: Makes your system hardened
 This package is intended to help the administrator to improve
 the security of the system, or at least make the host less susceptible.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package. You are recommended to read at
 least some documents in addition to installing this package. The documents
 can be found in the harden-doc package. This is of course just a start
 because there are LOT of information on how to make your system more secure.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-servers
Architecture: all
Depends: ${misc:Depends}
Conflicts: ${harden:Conflicts}
Description: Avoid servers that are known to be insecure
 This package is intended to give the administrator a easy option to avoid
 servers that in some sense are insecure. It can be a servers that needs
 passwords in plaintext, packages that can give someone access to the local
 host without permission, or packages that gives system information to remote
 users.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-clients
Architecture: all
Depends: ${misc:Depends}
Conflicts: ${harden:Conflicts}
Suggests: ssh
Description: Avoid clients that are known to be insecure
 Harden-clients is intended to give the administrator a easy option to avoid
 clients that in some sense are insecure. It can be a client that needs to send
 passwords in plaintext, or packages that can give someone access to the local
 host without permission.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-surveillance
Architecture: all
Depends: nagios | netsaint
Description: Check services and/or servers automatically
 This package help you to install tools for active network surveillance.
 Surveillance is the process of constant monitoring of networks and
 services to check that they work as expected.

Package: harden-development
Architecture: all
Recommends: rats
Description: Development tools for creating more secure programs
 This package help you to install tools that can be useful in order
 to create better programs in the context of security.
 .
 Such tools need knowledge from the program author so it will not
 automatically make your programs better.

Package: harden-tools
Architecture: all
Suggests: john, gnupg, bastille, tiger
Description: Tools to enhance or analyze the security of the local system
 Harden-tools helps you to install tools that the administrator can
 use to enhance the security of the local system in some way.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-environment
Architecture: all
Depends: debsums | samhain | integrit | tripwire | aide | ids, sash | osh
Recommends: logcheck
Suggests: harden-nids, sudo, debsums, samhain, integrit, tripwire, aide, ids, sash, osh, libsafe
Description: Hardened system environment
 Harden-environment provides a hardened system environment, or at least
 helps the administrator to configure such an environment.
 .
 Right now this include packages for local intrusion detection.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-nids
Architecture: all
Depends: snort | ntop
Recommends: logcheck
Description: Harden a system by using a network intrusion detection system
 This package help you to install a network intrusion detection system.
 Network intrusion detection systems is a tool that analyze network
 packets and log anomalies or known crack attempts.
 .
 NOTE! Network intrusion detection systems do not find all attempts to
 crack your system. The can also be pretty hard to set up so please
 read more about this before you start the process.

Package: harden-remoteaudit
Architecture: all
Depends: nessusd
Suggests: nessus, satan, nagios | netsaint, dsniff, harden-nids, idswakeup, ettercap
Description: Audit your remote systems from this host
 This package helps you to install a set of tools to check remote systems,
 sniff for passwords and more. Observe that this kind of activity can be
 illegal so you have to check if you are authorized to do so in the environment
 where you install this package.
 .
 You can check exploits, sniff for passwords and similar things.
 .
 Nessus note: You have to have the nessus client installed on some host. The
 client is provided by the 'nessus' package. You can install it on the same
 host but that is not necessary.
 .
 NOTE! This package includes packages that can damage the system that
 you audit. It should NOT be used on any host, network or system that you are
 not responsible for. It can also damage the hosts that are checked.
 You have been warned!

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
-
-export DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
+LANGS=ru it de
 
 configure: configure-stamp
 configure-stamp:
@@ -20,17 +19,12 @@
 build-stamp:
 	dh_testdir
 
-	(cd howto-source; make)
-
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	-rm -f build-stamp configure-stamp
-	-debian/clean
-	-debian/checkout
-	-rm -Rf tmp-info
 
 	dh_clean
 
@@ -39,15 +33,10 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-
-	(cd howto-source; make publish PUBLISHDIR=$(DESTDOC))
-	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
-	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
-	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
-	mkdir -p tmp-info
-	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
-	debian/fixinfo
-	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html
+	for a in harden-clients harden-servers ; do \
+		mkdir -p $(CURDIR)/debian/$$a/usr/share/lintian/overrides ; \
+		echo "$$a: postinst-uses-db-input" > $(CURDIR)/debian/$$a/usr/share/lintian/overrides/$$a ; \
+	done
 
 	dpsch-cvsclean

## harden 0.1.16

=== debian/changelog ===
harden (0.1.16) unstable; urgency=low

  * Added Czech translation from Miroslav Kure
    <kurem@upcase.inf.upol.cz> for debconf, closes: #285315.
  * Removed a number of build dependencies that is no longer needed
    as harden-doc in no longer a part of this source package.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Dec 2004 16:48:16 +0100

harden (0.1.15) unstable; urgency=low

  * Added Japanese translation, closes: #276295.
  * Harden-clients now conflict with gcjwebplugin, closes: #275923.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Oct 2004 19:07:15 +0200

harden (0.1.14) unstable; urgency=low

  * Added French debconf translation, closes: #271613.

 -- Ola Lundqvist <opal@debian.org>  Tue, 14 Sep 2004 08:56:13 +0200

harden (0.1.13) unstable; urgency=low

  * Added Brazilian language translation, closes: #271195. Thanks to
    Andre Luis Lopes <andrelop@debian.org> for the language file.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Sat, 11 Sep 2004 23:12:26 +0200

harden (0.1.12) unstable; urgency=low

  * Maintainer upload and incorporated NMU changes, closes: #248241.
  * Switched to debconf templates, thanks to Martin Quinson for the patch,
    closes: #250261.
  * Fixed minor grammar problem that was pointed out by
    Vinod Kurup <vinod@kurup.com>, closes: #224032.

 -- Ola Lundqvist <opal@debian.org>  Thu, 22 Jul 2004 23:17:33 +0200

harden (0.1.11-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Removed dependency of harden to harden-remoteflaws and harden-localflaws,
    closes: #248241.

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2004 22:00:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: extra
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, perl, texinfo, tetex-bin, tetex-extra
-Standards-Version: 3.5.8
+Build-Depends-Indep: debhelper (>> 4.1.16), perl, dpsyco-devel
+Standards-Version: 3.6.1
 
 Package: harden
 Architecture: all
-Depends: harden-environment, harden-servers, harden-remoteflaws, harden-localflaws, ${misc:Depends}
+Depends: harden-environment, harden-servers, ${misc:Depends}, debconf (>= 1.2.0)
 Recommends: harden-tools
 Suggests: sudo, harden-clients, harden-nids, harden-remoteaudit, harden-surveillance
 Description: Makes your system hardened
@@ -26,7 +26,7 @@
 
 Package: harden-servers
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, debconf (>= 1.2.0)
 Conflicts: ${harden:Conflicts}
 Description: Avoid servers that are known to be insecure
  This package is intended to give the administrator a easy option to avoid
@@ -44,7 +44,7 @@
 
 Package: harden-clients
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, debconf (>= 1.2.0)
 Conflicts: ${harden:Conflicts}
 Suggests: ssh
 Description: Avoid clients that are known to be insecure
@@ -126,6 +126,7 @@
 Package: harden-remoteaudit
 Architecture: all
 Depends: nessusd
+Priority: optional
 Suggests: nessus, satan, nagios | netsaint, dsniff, harden-nids, idswakeup, ettercap
 Description: Audit your remote systems from this host
  This package helps you to install a set of tools to check remote systems,

## harden 0.1.17

=== debian/changelog ===
harden (0.1.17) unstable; urgency=low

  * Added remstats-servers to the conflict list, closes: #289626.
  * Added recommends to checksecurity package in harden-environment,
    closes: #218737.

 -- Ola Lundqvist <opal@debian.org>  Mon, 10 Jan 2005 21:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -95,7 +95,7 @@
 Package: harden-environment
 Architecture: all
 Depends: debsums | samhain | integrit | tripwire | aide | ids, sash | osh
-Recommends: logcheck
+Recommends: logcheck, checksecurity
 Suggests: harden-nids, sudo, debsums, samhain, integrit, tripwire, aide, ids, sash, osh, libsafe
 Description: Hardened system environment
  Harden-environment provides a hardened system environment, or at least

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	dh_testdir
 	dh_testroot
 	-rm -f build-stamp configure-stamp
+	debconf-updatepo
 
 	dh_clean
 
@@ -37,8 +38,6 @@
 		mkdir -p $(CURDIR)/debian/$$a/usr/share/lintian/overrides ; \
 		echo "$$a: postinst-uses-db-input" > $(CURDIR)/debian/$$a/usr/share/lintian/overrides/$$a ; \
 	done
-
-	dpsch-cvsclean
 
 # Build architecture-independent files here.
 binary-indep: build install

## harden 0.1.22

=== debian/changelog ===
harden (0.1.22) unstable; urgency=low

  * Updated swedish translation done by Daniel Nylander
    <yeager@lidkoping.net>, closes: #365779.

 -- Ola Lundqvist <opal@debian.org>  Wed,  3 May 2006 06:46:17 +0200

harden (0.1.21) unstable; urgency=low

  * Updated description of harden-remoteaudit with help from Jeremy
    <jeremy@jsbygott.fsnet.co.uk>.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Apr 2006 06:50:48 +0200

harden (0.1.20) unstable; urgency=low

  * Language corrections by Jeremy <jeremy@jsbygott.fsnet.co.uk.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Apr 2006 07:01:53 +0200

harden (0.1.19) unstable; urgency=low

  * Added Swedish translation from Daniel Nylander
    <yeager@lidkoping.net>, closes: #336691.
  * Added German translation from Erik Schanze <schanzi_usenet@gmx.de>,
    closes: #351356.
  * Added Vietnamese translation from Clytie Siddall
    <clytie@riverland.net.au>, closes: #314195.
  * Fetchmail package now support ssl so removing those questions.
  * Point to the document in a better way, closes: #291465.

 -- Ola Lundqvist <opal@debian.org>  Sat, 11 Mar 2006 19:56:05 +0100

harden (0.1.18) unstable; urgency=low

  * Added pawserv to conflicts, closes: #325008.
  * Documented the policy for the harden packages.
  * Updated standards version to 3.6.2.
  * Removed the need to depend on dpsyco-devel.
  * Updated to debhelper 4 compatibility.
  * Corrected FSF address in debian/copyright
  * Better license documentation and removed parts that belong to
    harden-doc that is not part of this package anymore.

 -- Ola Lundqvist <opal@debian.org>  Sun, 29 Jan 2006 11:42:28 +0100

=== debian/control ===
Source: harden
Section: admin
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 4.1.16), perl
Standards-Version: 3.6.2

Package: harden
Architecture: all
Depends: harden-environment, harden-servers, ${misc:Depends}, debconf (>= 1.2.0)
Recommends: harden-tools
Suggests: sudo, harden-clients, harden-nids, harden-remoteaudit, harden-surveillance, harden-doc
Description: Makes your system hardened
 This package is intended to help the administrator to improve the security
 of the system, or at least make the host less susceptible.
 .
 NOTE! This package will not make your system uncrackable, and it is not
 intended to do so. Making your system secure involves a LOT more than just
 installing a package. You are recommended to read at least some documents
 in addition to installing this package.
 .
 There is a LOT of information available on making your system more secure.
 A good place to start is with the harden-doc package or at
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-servers
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.2.0)
Conflicts: ${harden:Conflicts}
Description: Avoid servers that are known to be insecure
 Harden-servers gives the administrator an easy way to avoid servers that are
 insecure in some sense. It conflicts with: servers that need passwords in
 plaintext, packages that can give someone access to the local host without
 permission, and packages that give system information to remote users.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-clients
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.2.0)
Conflicts: ${harden:Conflicts}
Suggests: ssh
Description: Avoid clients that are known to be insecure
 Harden-clients gives the administrator an easy way to avoid installing
 clients that are insecure in some sense. It conflicts with: clients that need
 to send passwords in plaintext, and packages that can give someone access to
 the local host without permission.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-surveillance
Architecture: all
Depends: nagios | netsaint
Description: Check services and/or servers automatically
 This package helps you to install tools for active network surveillance.
 Surveillance is the process of constant monitoring of networks and
 services to check that they work as expected.

Package: harden-development
Architecture: all
Recommends: rats
Description: Development tools for creating more secure programs
 This package helps you to install tools that can be useful in order
 to create better programs in the context of security.
 .
 Such tools need knowledge from the program author so it will not
 automatically make your programs better.

Package: harden-tools
Architecture: all
Suggests: john, gnupg, bastille, tiger
Description: Tools to enhance or analyze the security of the local system
 Harden-tools helps you to install tools that the administrator can
 use to enhance the security of the local system in some way.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-environment
Architecture: all
Depends: debsums | samhain | integrit | tripwire | aide | ids, sash | osh
Recommends: logcheck, checksecurity
Suggests: harden-nids, sudo, debsums, samhain, integrit, tripwire, aide, ids, sash, osh, libsafe
Description: Hardened system environment
 Harden-environment provides a hardened system environment, or at least
 helps the administrator to configure such an environment.
 .
 Right now this includes packages for local intrusion detection.
 .
 NOTE! This package will not make your system uncrackable, and it is
 not intended to do so. Making your system secure involves a LOT
 more than just installing a package.
 .
 For more information on how to secure your system see:
 http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-nids
Architecture: all
Depends: snort | ntop
Recommends: logcheck
Description: Harden a system by using a network intrusion detection system
 This package helps you to install a network intrusion detection system.
 A network intrusion detection system is a tool that analyzes network
 packets and logs anomalies or known crack attempts.
 .
 NOTE! Network intrusion detection systems do not find all attempts to
 crack your system. They can also be pretty hard to set up so please
 read more about this before you start the process.

Package: harden-remoteaudit
Architecture: all
Depends: nessusd
Priority: optional
Suggests: nessus, satan, nagios | netsaint, dsniff, harden-nids, idswakeup, ettercap
Description: Audit your remote systems from this host
 This package helps you to install a set of tools to check remote systems,
 sniff for passwords and more. Observe that this kind of activity can be
 illegal so you have to check if you are authorized to do so in the environment
 where you install this package.
 .
 You can check exploits, sniff for passwords and similar things.
 .
 Nessus note: You have to have the nessus client installed on some host. The
 client is provided by the 'nessus' package. You can install it on the same
 host but that is not necessary.
 .
 NOTE! This package includes packages that can damage the system that
 you audit. It should ONLY be used to audit hosts, networks or systems
 that you are allowed to audit. I repeat: it can damage the hosts that are
 checked. You have been warned!

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 LANGS=ru it de
 
 configure: configure-stamp

## harden 0.1.26

=== debian/changelog ===
harden (0.1.26) unstable; urgency=low

  * Updated German debconf text, closes: #397210. Thanks to Erik Schanze
    <schanzi_@gmx.de> for the patch and to Helge Kreutzmann
    <debian@helgefjell.de> for the suggestions in order to create the
    patch.

 -- Ola Lundqvist <opal@debian.org>  Mon,  6 Nov 2006 06:55:01 +0100

harden (0.1.25) unstable; urgency=low

  * Update of Japanese translation, closes: #392158.
  * Added dependency on po-debconf as it is used while building.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Oct 2006 20:11:34 +0200

harden (0.1.24) unstable; urgency=low

  * Change suggest of ssh to openssh-client, closes: #383749.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Aug 2006 17:54:32 +0200

harden (0.1.23) unstable; urgency=low

  * Changed build-depends-indep to build-depends for debhelper.
  * Updated to standards version 3.7.2.
  * Updated to most recent version of GPL license.
  * Added binary-arch target to debian/rules.

 -- Ola Lundqvist <opal@debian.org>  Sun, 16 Jul 2006 23:50:52 +0200

## harden 0.1.30

=== debian/changelog ===
harden (0.1.30) unstable; urgency=medium

  * Added dutch po-debconf translation, closes: #414035. Thanks to Bart
    Cornelis <cobaco@skolelinux.no> for the translation.

 -- Ola Lundqvist <opal@debian.org>  Thu,  8 Mar 2007 19:30:26 +0100

harden (0.1.29) unstable; urgency=medium

  * Added Galician debconf templates translation for harden, closes:
    #413465. Thanks to Jacobo Tarrio <jtarrio@trasno.net>.

 -- Ola Lundqvist <opal@debian.org>  Thu,  8 Mar 2007 18:20:18 +0100

harden (0.1.28) unstable; urgency=medium

  * Updated French translation from Christian Perrier
    <bubulle@debian.org>, closes: #407491.

 -- Ola Lundqvist <opal@debian.org>  Mon, 22 Jan 2007 06:02:12 +0100

harden (0.1.27) unstable; urgency=low

  * Updated Czech translation from Miroslav Kure
    <kurem@upcase.inf.upol.cz>, closes: #366737.

 -- Ola Lundqvist <opal@debian.org>  Tue,  9 Jan 2007 20:07:38 +0100

## harden 0.1.31

=== debian/changelog ===
harden (0.1.31) unstable; urgency=medium

  * Addition of Portuguese translation for debconf messages, closes:
    #415195. Thanks to Traduz - Portuguese Translation Team
    <traduz@debianpt.org>.

 -- Ola Lundqvist <opal@debian.org>  Wed, 21 Mar 2007 10:36:37 +0100
